'use strict';

var ajax = require('yylib-utils/ajax');
var _ = require('lodash');
var applicationName = '/icop-share-web';
var ROOT_DEFDOC = '/defdoc/manage/';

module.exports = {
    findDefDocListByCode: function findDefDocListByCode() {
        var serverUrl = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : window.EnvConfig.YYLIB_BASEHOST;
        var defdocTypeCode = arguments[1];
        var orgId = arguments[2];
        var dataparams = arguments[3];
        var callback = arguments[4];

        ajax.getJSON(serverUrl + applicationName + ROOT_DEFDOC + 'getbydefdoclistcode', {
            defdoclistCode: defdocTypeCode,
            orgId: orgId,
            condition: JSON.stringify(dataparams)
        }, function (data) {
            if (_.isFunction(callback)) {
                callback(data);
            }
        });
    },
    defdocByCode: function defdocByCode() {
        var serverUrl = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : window.EnvConfig.YYLIB_BASEHOST;
        var refId = arguments[1];
        var callback = arguments[2];

        var busiParamJson = "{\"pageInfo\":{\"pageSize\":50,\"pageIndex\":0},\"pid\":\"\",\"keyword\":\"\",\"queryCondition\":{\"isShowUnit\":false,\"pk_defdoclist\":\"1001Y91000000001IW30\",\"icopRefType\":\"icopgrid\",\"DataPowerOperationCode\":\"default\",\"isDataPowerEnable\":true},\"defineItems\":[]}";
        JSON.parse(busiParamJson).queryCondition.pk_defdoclist = refId;
        ajax.postJSONWithCookies(serverUrl + '/nccloud/icop/refer/defdocByCode.do', {
            "busiParamJson": JSON.stringify(busiParamJson),
            "sysParamJson": {
                "ts": Date.now(),
                "from": "",
                "pagecs": Date.now()
            }
        }, function (data) {
            if (_.isFunction(callback)) {
                callback(data);
            }
        });
    }
};